; PLiSHOP ファンディスク販売確認プラグイン
;
; PLiSHOPでファンディスクを購入しているかを調べます
;
; ＜使い方＞
;   最初に、TYRANO_PLiSHOP.ksを読み込んでください。
;   [call storage="PLiSHOP/TYRANO_PLiSHOP.ks"]
;  
;
;【パラメータ一覧】
;url            :確認をするURLを指定します
;debug          :trueにするとデバッグモードで実行します。
;  
;  
;  
; 【処理内容】
; 取得可能な内容は以下の２つです。
; －－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－
; ①プレイヤーが、「特定のファンディスクを購入済みであるか」を確認
; 　＜タグ： [plishop url="PLiSHOP https://plicy.net/Shop/Fandisk/X"]  (Xはファンディスクの番号)＞
; 
; ②プレイヤーが、「特定のクリエイターからファンディスクをいくつ購入したか」を確認
; 　＜タグ： [plishop url="http://plicy.net/UserStamp/X"]　(XはユーザーIDの番号)＞
; －－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－
; ※詳しくは、下の【利用方法】をご覧ください。
; 
; 
; 【注意事項】
; ・ブラウザ上のみで利用可能です。
; ・テストプレイ/ダウンロード版/アプリ版では動作致しません。
; ・プレイヤーは使用中のブラウザで、PLiCyにログインをしている必要があります。
; ・PLiCy以外のWebサーバーでも、プレイヤーがPLiCyにログイン中であれば認証が可能です。
; ・Webサーバーでプレイをしていない場合、Firefoxであっても利用することはできません。
; 
; ・売上額はuniの設定価格に準拠します。
; 
; 
; 【利用方法】－－－－－－－－－－－－－－－－－－－－－－－－－－－
; 
; 　＜①プレイヤーが、特定のファンディスクを購入済みであるかを確認＞
; 
; フォーマット）
; 　タグは下記フォーマットで入力をしてください
; 　『 [plishop url="https://plicy.net/Shop/Fandisk/X"] 』
;  ※「X」にはファンディスクの番号を記入
; 
; 実行内容）
; 　プレイヤーが、上記のファンディスクを購入済みであるかを判別します。
; 　設定された変数に、結果が代入されます。
; 
; 結果）
; 　購入済みの場合：
;               f.plishop_no に 1 を代入
;               f.plishop_earnings に ファンディスクの価格 を代入
; 　未購入の場合：
;               f.plishop_no に 0 を代入
;               f.plishop_earnings に 0 を代入
; 　ログインをしていない場合：
;               f.plishop_no に -1 を代入
;               f.plishop_earnings に -1 を代入
; 
; 記入例）
; 　『 [plishop url="https://plicy.net/Shop/Fandisk/13"] 』
; 　（ファンディスクID：13 の購入/非購入を確認）
; 　『 [plishop url="PLiSHOP https://plicy.net/Shop/Fandisk/15"] 』
; 　（ファンディスクID：15 の購入/非購入を確認）
; 
; －－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－
; 
; 　＜②プレイヤーが、特定のクリエイターからファンディスクをいくつ購入したかを確認＞
; 
; フォーマット）
; 　プラグインコマンドに下記フォーマットで入力をしてください
; 　　『 [plishop url="http://plicy.net/FDUser/X"] 』
;  ※「X」にはユーザーIDの番号を記入
;  
; 実行内容）
; 　プレイヤーが、上記のユーザーから購入したファンディスクの数を取得します。
; 　設定された変数番号に、結果が代入されます。
; 
; 結果）
; 　通常時：
;               f.plishop_no に 購入数 を代入
;               f.plishop_earnings に 売上の合計 を代入
; 　ログインをしていない場合：
;               f.plishop_no に -1 を代入
;               f.plishop_earnings に -1 を代入
; 
; 記入例）
; 　　『 [plishop url="http://plicy.net/FDUser/1"] 』
; 　（クリエイターID:1 が販売しているファンディスクの購入数を確認）
; 　　『 [plishop url="http://plicy.net/FDUser/2"] 』
; 　（クリエイターID:2 が販売しているファンディスクの購入数を確認）
;
; 
; 【デバッグ】
; [plishop debug="true" url="??????????????"]
; 上記のようにパラメータでdebug="true"を追加すると、
; ゲーム中、変数に代入される数値が自由に変更可能になります。
; テスト用ですので、公開時にはfalseにしてください。
; 
[loadjs storage="PLiSHOP/TYRANO_PLiSHOP.js"]

[macro name="plishop"]
[iscript]
tyrano.plugin.plishop.loadStart(mp.url,mp.debug);
[endscript]
*plishoploop
[wait time=100]
[if exp="tyrano.plugin.plishop.isLoading"]
[jump storage="PLiSHOP/TYRANO_PLiSHOP.ks" target="*plishoploop"]
[else]
[endif]
[eval exp="f.plishop_no=tyrano.plugin.plishop.value"]
[eval exp="f.plishop_earnings=tyrano.plugin.plishop.earnings"]
[endmacro]